// Desc: Recruit A.I. Dialog
// Function: Recruit upto five squad members from a basic Infantry selection
// By: =ODIN=
// Version: 1.0 (Jan 2008)
//-----------------------------------------------------------------------------
class RecruitButton: RscButton
{
  style = ST_LEFT;
  //x = 0.75; y = 0.05;
  w = 0.2; h = 0.035;
  sizeEx = 0.024;
  action = "";
  text = "Recruit X";
};

class recruitE 
{
  idd = -1;   // set to -1, because we don't require a unique ID
  movingEnable = true;   // no movement while the dialog is shown
  controlsBackground[] = { };   // no background controls needed
  objects[] = { };   // no objects needed

  controls[] = { MyBackgound,MyBackgound1,Button1,Button2,Button3,Button4,
    Button5,Button6,Button7,Button8,Button9,Button10,Button12,Button13,Button14,Button15,Button16,Button17,Button18,
    Button19 };

  class MyBackgound: Dlg_FullBackground {
    colorBackground[] = { 0.4, 0.65, 0.15, 0.2 };

    x = 0.057;
    y = 0.02;
    w = 0.24;
    h = 0.5;
  };

  class MyBackgound1: Dlg_FullBackground  {
    colorBackground[] = { 0.4, 0.65, 0.15, 0.2 };

    x = 0.73;
    y = 0.02;
    w = 0.24;
    h = 0.50;
  };

  class Button1: RecruitButton {
    x = 0.75; y = 0.05;
    action = "nul = ['SoldierEB'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Rifleman";
  };
  class Button2: RecruitButton {
    x = 0.75; y = 0.10;
    action = "nul = ['SoldierEMG'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit MG";
  };
  class Button3: RecruitButton {
    x = 0.75; y = 0.15;
    action = "nul = ['SoldierEMedic'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Medic";
  };
  class Button4: RecruitButton {
    x = 0.75; y = 0.20;
    action = "nul = ['SoldierEMiner'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Engineer";
  };
  class Button5: RecruitButton {
    x = 0.75; y = 0.25;
    action = "nul = ['SoldierEAT'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit AT Soldier";
  };
  class Button6: RecruitButton {
    x = 0.75; y = 0.30;
    action = "nul = ['SoldierEAA'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit AA Soldier";
  };
  class Button7: RecruitButton {
    x = 0.75; y = 0.35;
    action = "nul = ['SoldierESniper'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Sniper";
  };
  class Button8: RecruitButton {
    x = 0.75; y = 0.40;
    action = "nul = ['SoldierE'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Grenadier";
  };
  class Button9: RecruitButton {
    x = 0.075; y = 0.05;
    action = "nul = ['SoldierESaboteur'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Especas Recon";
  };
  class Button10: RecruitButton {
    x = 0.075; y = 0.10;
    action = "nul = ['SoldierESaboteurPipe'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Especas";
  };
  class Button12: RecruitButton {
    x = 0.075; y = 0.15;
    action = "nul = ['SoldierESaboteurBizon'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Especas Saboteur";
  };
  class Button13: RecruitButton {
    x = 0.075; y = 0.20;
    action = "nul = ['SoldierESaboteurMarksman'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Especas Marksman";
  };
  class Button14: RecruitButton {
    x = 0.075; y = 0.25;
    action = "nul = ['SquadLeaderE'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Squad Leader";
  };
  class Button15: RecruitButton {
    x = 0.075; y = 0.30;
    action = "nul = ['TeamLeaderE'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Team Leader";
  };
  class Button16: RecruitButton {
    x = 0.075; y = 0.35;
    action = "nul = ['OfficerE'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Recruit Officer";
  };

  class Button17: RecruitButton {
    x = 0.075; y = 0.40;
    action = "nul = [''] execVM 'scripts\eject.sqf'";
    text = "Remove Squad";
  };
  class Button18: RecruitButton {
    x = 0.075; y = 0.45;
    action = "dropit = ['SpecialBoxEast'] execVM 'scripts\RecEast\recruitE.sqf'";
    text = "Ammobox";
  };
  class Button19: RecruitButton {
    x = 0.75; y = 0.45;
    action = "closeDialog 0";
    text = "Exit";
    default = true;
  };
};
