// Desc: Recruit A.I. Dialog
// Function: Recruit upto five squad members from a basic Infantry selection
// By: =ODIN=
// Version: 1.0 (Jan 2008)
//-----------------------------------------------------------------------------
class RecruitButtonG: RscButton
{
  style = ST_LEFT;
  //x = 0.75; y = 0.05;
  w = 0.2; h = 0.035;
  sizeEx = 0.024;
  action = "";
  text = "Recruit X";
};

class recruitG 
{
  idd = -1;   // set to -1, because we don't require a unique ID
  movingEnable = true;   // no movement while the dialog is shown
  controlsBackground[] = { };   // no background controls needed
  objects[] = { };   // no objects needed

  controls[] = { MyBackgound,MyBackgound1,Button1,Button2,Button3,Button4,
    Button5,Button6,Button7,Button8,Button10,Button12,Button13,Button14,Button15,Button16,Button17,Button18,
    Button19 };

  class MyBackgound: Dlg_FullBackground {
    colorBackground[] = { 0.4, 0.65, 0.15, 0.2 };

    x = 0.057;
    y = 0.02;
    w = 0.24;
    h = 0.45;
  };

  class MyBackgound1: Dlg_FullBackground  {
    colorBackground[] = { 0.4, 0.65, 0.15, 0.2 };

    x = 0.73;
    y = 0.02;
    w = 0.24;
    h = 0.50;
  };

  class Button1: RecruitButtonG {
    x = 0.75; y = 0.05;
    action = "nul = ['SoldierGB'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit Rifleman";
  };
  class Button2: RecruitButtonG {
    x = 0.75; y = 0.10;
    action = "nul = ['SoldierGMG'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit MG";
  };
  class Button3: RecruitButtonG {
    x = 0.75; y = 0.15;
    action = "nul = ['SoldierGMedic'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit Medic";
  };
  class Button4: RecruitButtonG {
    x = 0.75; y = 0.20;
    action = "nul = ['SoldierGMiner'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit Engineer";
  };
  class Button5: RecruitButtonG {
    x = 0.75; y = 0.25;
    action = "nul = ['SoldierGAT'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit AT Soldier";
  };
  class Button6: RecruitButtonG {
    x = 0.75; y = 0.30;
    action = "nul = ['SoldierGAA'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit AA Soldier";
  };
  class Button7: RecruitButtonG {
    x = 0.75; y = 0.35;
    action = "nul = ['SoldierGSniper'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit Sniper";
  };
  class Button8: RecruitButtonG {
    x = 0.75; y = 0.40;
    action = "nul = ['SoldierGG'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit Grenadier";
  };
  class Button10: RecruitButtonG {
    x = 0.075; y = 0.05;
    action = "nul = ['SoldierGCommando'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit Royal Commando";
  };
  class Button12: RecruitButtonG {
    x = 0.075; y = 0.10;
    action = "nul = ['SoldierGGuard'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit Royal Guard";
  };
  class Button13: RecruitButtonG {
    x = 0.075; y = 0.15;
    action = "nul = ['SoldierGMarksman'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit Royal Marksman";
  };
  class Button14: RecruitButtonG {
    x = 0.075; y = 0.20;
    action = "nul = ['SquadLeaderG'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit Squad Leader";
  };
  class Button15: RecruitButtonG {
    x = 0.075; y = 0.25;
    action = "nul = ['TeamLeaderG'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit Team Leader";
  };
  class Button16: RecruitButtonG {
    x = 0.075; y = 0.30;
    action = "nul = ['OfficerG'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Recruit Officer";
  };
  class Button17: RecruitButtonG {
    x = 0.075; y = 0.40;
    action = "nul = [''] execVM 'scripts\eject.sqf'";
    text = "Remove Squad";
  };
  class Button18: RecruitButtonG {
    x = 0.075; y = 0.35;
    action = "nul = ['SpecialBoxGuer'] execVM 'scripts\RecIndi\recruitG.sqf'";
    text = "Ammobox";
  };
  class Button19: RecruitButtonG {
    x = 0.75; y = 0.45;
    action = "closeDialog 0";
    text = "Exit";
    default = true;
  };
};
