// Desc: Recruit A.I. Dialog
// Function: Recruit upto five squad members from a basic Infantry selection
// By: =ODIN=
// Version: 1.0 (Jan 2008)
//-----------------------------------------------------------------------------
// IDD's & IDC's
//-----------------------------------------------------------------------------
#define IDC_PlayerListBox 600

//-----------------------------------------------------------------------------
class DropPlayer 
{
  idd = -1;   // set to -1, because we don't require a unique ID
  movingEnable = true;   // no movement while the dialog is shown
  controlsBackground[] = { };   // no background controls needed
  objects[] = { };   // no objects needed

  controls[] = { MyBackgound,MyListBoxBG,MyListBox,KickButton,MyActiveText10 };
  
  class MyBackgound: Dlg_FullBackground {
    colorBackground[] = { 0.4, 0.65, 0.15, 0.2 };

    x = 0.067;
    y = 0.07;
    w = 0.36;
    h = 0.55;
  };

  class MyListBoxBG: RscText
  {
    x = 0.1;
    y = 0.2;
    w = 0.3;
    h = 0.3;
    colorBackground[] = {Dlg_Color_White, 0.7};
  };
  class MyListBox: RscListBox
  {
    idc = IDC_PlayerListBox;
    colorText[] = {Dlg_Color_Black, 1};
    x = 0.1;
    y = 0.2;
    w = 0.3;
    h = 0.3;
  };
  class KickButton: RscButton
  {
    //idc = IDC_KickButton;
    x = 0.1;
    y = 0.1;
    // etc
    text = "Kick";
    action = "[format['%1', lbData [IDC_PlayerListBox, lbCurSel IDC_PlayerListBox]]] execVM 'scripts\RemoveFromGroup.sqf'; lbDelete [IDC_PlayerListBox, lbCurSel IDC_PlayerListBox]";
  };
  class MyActiveText10: RscButton {
    x = 0.1; y = 0.55;
    w = 0.11; h = 0.035;
    sizeEx = 0.024;
    action = "closeDialog 0";
    text = "Exit";
    default = true;
  };
};
