// Desc: Recruit A.I. Dialog
// Function: Recruit upto five squad members from a basic Infantry selection
// By: =ODIN=
// Version: 1.0 (Jan 2008)
//-----------------------------------------------------------------------------
class RecruitButton1: RscButton
{
  style = ST_LEFT;
  //x = 0.75; y = 0.05;
  w = 0.2; h = 0.035;
  sizeEx = 0.024;
  action = "";
  text = "Recruit X";
};

class recruitW 
{
  idd = -1;   // set to -1, because we don't require a unique ID
  movingEnable = true;   // no movement while the dialog is shown
  controlsBackground[] = { };   // no background controls needed
  objects[] = { };   // no objects needed

  controls[] = { MyBackgound,MyBackgound1,Button1,Button2,Button3,Button4,
    Button5,Button6,Button7,Button8,Button9,Button10,Button11,
    Button12,Button13,Button14,Button15,Button16,Button17,Button18,
    Button19 };

  class MyBackgound: Dlg_FullBackground {
    colorBackground[] = { 0.4, 0.65, 0.15, 0.2 };

    x = 0.057;
    y = 0.02;
    w = 0.24;
    h = 0.5;
  };

  class MyBackgound1: Dlg_FullBackground  {
    colorBackground[] = { 0.4, 0.65, 0.15, 0.2 };

    x = 0.73;
    y = 0.02;
    w = 0.24;
    h = 0.55;
  };

  class Button1: RecruitButton1 {
    x = 0.75; y = 0.05;
    action = "nul = ['SoldierWB'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit Rifleman";
  };
  class Button2: RecruitButton1 {
    x = 0.75; y = 0.10;
    action = "nul = ['SoldierWMG'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit MG";
  };
  class Button3: RecruitButton1 {
    x = 0.75; y = 0.15;
    action = "nul = ['SoldierWMedic'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit Medic";
  };
  class Button4: RecruitButton1 {
    x = 0.75; y = 0.20;
    action = "nul = ['SoldierWMiner'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit Engineer";
  };
  class Button5: RecruitButton1 {
    x = 0.75; y = 0.25;
    action = "nul = ['SoldierWAT'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit AT Soldier";
  };
  class Button6: RecruitButton1 {
    x = 0.75; y = 0.30;
    action = "nul = ['SoldierWAA'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit AA Soldier";
  };
  class Button7: RecruitButton1 {
    x = 0.75; y = 0.35;
    action = "nul = ['SoldierWSniper'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit Sniper";
  };
  class Button8: RecruitButton1 {
    x = 0.75; y = 0.40;
    action = "nul = ['SoldierWG'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit Grenadier";
  };
  class Button9: RecruitButton1 {
    x = 0.075; y = 0.05;
    action = "nul = ['SoldierWSaboteurRecon'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit SF Recon";
  };
  class Button10: RecruitButton1 {
    x = 0.075; y = 0.10;
    action = "nul = ['SoldierWSaboteurPipe'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit SF Saboteur";
  };
  class Button11: RecruitButton1 {
    x = 0.075; y = 0.15;
    action = "nul = ['SoldierWSaboteurPipe2'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit SF Saboteur2";
  };
  class Button12: RecruitButton1 {
    x = 0.075; y = 0.20;
    action = "nul = ['SoldierWSaboteurAssault'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit SF Assault";
  };
  class Button13: RecruitButton1 {
    x = 0.075; y = 0.25;
    action = "nul = ['SoldierWSaboteurMarksman'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit SF Marksman";
  };
  class Button14: RecruitButton1 {
    x = 0.075; y = 0.30;
    action = "nul = ['SquadLeaderW'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit Squad Leader";
  };
  class Button15: RecruitButton1 {
    x = 0.075; y = 0.35;
    action = "nul = ['TeamLeaderW'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit Team Leader";
  };
  class Button16: RecruitButton1 {
    x = 0.075; y = 0.40;
    action = "nul = ['OfficerW'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Recruit Officer";
  };

  class Button17: RecruitButton1 {
    x = 0.75; y = 0.45;
    action = "nul = [''] execVM 'scripts\eject.sqf'";
    text = "Remove Squad";
  };
  class Button18: RecruitButton1 {
    x = 0.075; y = 0.45;
    action = "nul = ['SpecialBoxWest'] execVM 'scripts\RecWest\recruitW.sqf'";
    text = "Ammobox";
  };
  class Button19: RecruitButton1 {
    x = 0.75; y = 0.50;
    action = "closeDialog 0";
    text = "Exit";
    default = true;
  };
};
