// Recruit_AI Dialog
// By DrEyball for Odin's Recruit_AI Dialog

player sideChat format['RemoveFromGroup.sqf: %1', _this]; // debug

private['_playerToFind'];
_playerToFind = _this select 0;

_CheckIfPlayerMatches =
{
  private['_player'];
  _player = _this select 0;

  if (format["%1", _player] == _playerToFind) then
  {
    [_player] join grpNull;

    if (isPlayer _player) then
    {
      player groupChat format['Player %1 was kicked from the group.', name _player]; // only seen by caller, not group
    }
    else
    {
      player groupChat format['A.I. %1 soldier was removed from group.', typeOf _player]; // only seen by caller, not group

      // optional - delete AI
      deleteVehicle _player;
    };
  };  
};

{
  private['_unit', '_isVehicle'];
  _unit = _x;
  if (group _unit == group player) then
  {
    _isVehicle = ((_unit isKindOf "LandVehicle") || (_unit isKindOf "Air") || (_unit isKindOf "Ship"));
    if (_isVehicle) then
    {
      // process vehicle crew list
      {
        [_x] call _CheckIfPlayerMatches;        
      } forEach crew _unit;      
    }
    else
    {
      [_unit] call _CheckIfPlayerMatches;
    };      
  };
} forEach (units player);  